package org.processmining.performancespectrum.plugins;

import org.processmining.scala.log.common.enhancment.segments.parallel.SegmentProcessor;

public final class PerformanceSpectrumDirectory {
	public final String dir;

	public PerformanceSpectrumDirectory(final String dir) {
		if (!dir.endsWith(SegmentProcessor.SessionFileName())) {
			throw new IllegalArgumentException(String.format("Wrong file name %s. Please open file '%s'.", dir,
					SegmentProcessor.SessionFileName()));
		} else {
			this.dir = dir.substring(0, dir.length() - SegmentProcessor.SessionFileName().length());
		}

	}

}
