package org.processmining.performancespectrum.plugins;

import org.processmining.scala.viewers.spectrum.view.FramePanel;

public final class PerformanceSpectrumSegDirectory {
	public final String dir;

	public PerformanceSpectrumSegDirectory(final String dir) {
		if (!dir.toLowerCase().endsWith(FramePanel.SEG_DIR)) {
			throw new IllegalArgumentException(String.format("Wrong file name %s. Please open file '*.%s'.", dir,
					FramePanel.SEG_DIR));
		} else {
			this.dir = dir;
		}

	}

}
